Skip to main content

Create an expense cost center

POST 

/api/expense_cost_centers

This endpoint is intended to create a new expense cost center.

Prerequisites:

To use this endpoint you need to have the ACCOUNTING scope for the API Key. Please contact your relation manager to get this permission.

Request Body:

  • name: The name of the cost center. Multiple cost centers with the same name and number combination cannot be added.
  • number: Optional.
  • allowedTransactionTypes: Optional. Defines which type of transactions can be attached to this category. Multiple choices can be added.
  • allowedCardGroups: Optional. Defines which card groups can be attached to this category. Multiple choices can be added.

Request

Header Parameters

    Unique-Request-Id string

    Possible values: <= 50 characters

    An optional unique identifier for the request, limited to 50 characters. Used to track requests and prevent duplication.

Body

required
    name stringrequired
    number stringnull
    allowedTransactionTypes string

    Possible values: [card_transaction, fee_transaction, fx_transaction, payin_transaction, payout_transaction, wallet_transaction]

    allowedCardGroups string

Responses

OK - The request was processed successfully.

Schema
    id integer
    name string
    number stringnull
    allowedTransactionTypes string

    Possible values: [card_transaction, fee_transaction, fx_transaction, payin_transaction, payout_transaction, wallet_transaction]

    allowedCardGroups string
Loading...